import Image from "next/image";

import BestSellingContent from "@/components/shared/best-selling-content";


export default async function BestSellingServices() {

	return (
		<section
			className={"relative overflow-hidden bg-[#606676] px-4 py-14 md:px-0"}
		>
			{/* Background with overlay */}
			<div className="absolute inset-0">
				<Image
					src={"/images/our-services/grid.png"}
					alt=""
					fill
					style={{ backgroundColor: "#606676" }}
				/>
				<div className="absolute inset-0 bg-gradient-to-b from-transparent via-black/30 to-black/50" />
			</div>

			{/* Main content container */}
			<div className="mx-auto w-full max-w-10xl">
				<div className="relative mx-auto py-4 md:py-0 lg:px-16">
					<BestSellingContent withContent={false} />
				</div>
			</div>
		</section>
	);
}
